Name: H5Pget
Signature:
  herr_t `H5Pget`( hid_t `plid`, const char *`name`, void *`value` )
Purpose:
  Queries the value of a property.
Description:
  `H5Pget` retrieves a copy of the value for a property in a property list. If there is a `get` callback routine registered for this property, the copy of the value of the property will first be passed to that routine and any changes to the copy of the value will be used when returning the property value from this routine.

  This routine may be called for zero-sized properties with the `value` set to NULL. The `get` routine will be called with a NULL value if the callback exists.

  The property name must exist or this routine will fail.

  If the `get` callback routine returns an error, `value` will not be modified.

Parameters:

hid_t `plid` | IN: Identifier of the property list to query
const char *`name` | IN: Name of property to query
void *`value` | OUT: Pointer to a location to which to copy the value of of the property

Returns:
  Success: a non-negative value
  Failure: a negative value
Fortran90 Interface: h5pget_f

      SUBROUTINE h5pget_f(plid, name, value, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plid    ! Property list identifier
        CHARACTER(LEN=*), INTENT(IN) :: name  ! Name of property to get
        TYPE,  INTENT(OUT) :: value           ! Property value
                                              ! Supported types are:
                                              !    INTEGER
                                              !    REAL
                                              !    DOUBLE PRECISION
                                              !    CHARACTER(LEN=*)
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_f